/*
 * Instance header file for PIC32CK2051GC01144
 *
 * Copyright (c) 2023 Microchip Technology Inc. and its subsidiaries.
 *
 * Subject to your compliance with these terms, you may use Microchip software and any derivatives
 * exclusively with Microchip products. It is your responsibility to comply with third party license
 * terms applicable to your use of third party software (including open source software) that may
 * accompany Microchip software.
 *
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY,
 * APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL OR CONSEQUENTIAL
 * LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF
 * MICROCHIP HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE FULLEST EXTENT
 * ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT
 * EXCEED THE AMOUNT OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 */

/* file generated from device description version 2023-04-05T13:26:38Z */
#ifndef _PIC32CKGC01_DSU_INSTANCE_
#define _PIC32CKGC01_DSU_INSTANCE_


/* ========== Instance Parameter definitions for DSU peripheral ========== */
#define DSU_BMX_ERROR_SUPPORT                    (0)        /* Defines whether DSU APB errors are reported as 2-cycles bus errors to the AHB AP0 master */
#define DSU_DAL1_IMPLEMENTED                     (1)        /* Debug Access Level 1 (Non-Secure) Implemented? for TZ devices only */
#define DSU_DMAC_ID_DCC0                         (2)        /* DMAC ID for DCC0 register */
#define DSU_DMAC_ID_DCC1                         (3)        /* DMAC ID for DCC1 register */
#define DSU_INSTANCE_ID                          (0)        /* Instance index for DSU */
#define DSU_MCLK_ID_AHB                          (3)        /* Index for DSU AHB clock */
#define DSU_MCLK_ID_APB                          (32)       /* Index for DSU APB clock */
#define DSU_PAC_ID                               (0)        /* Index for DSU registers write protection */

#endif /* _PIC32CKGC01_DSU_INSTANCE_ */
