/*
 * Instance header file for PIC32CK2051GC01144
 *
 * Copyright (c) 2023 Microchip Technology Inc. and its subsidiaries.
 *
 * Subject to your compliance with these terms, you may use Microchip software and any derivatives
 * exclusively with Microchip products. It is your responsibility to comply with third party license
 * terms applicable to your use of third party software (including open source software) that may
 * accompany Microchip software.
 *
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY,
 * APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL OR CONSEQUENTIAL
 * LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF
 * MICROCHIP HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE FULLEST EXTENT
 * ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT
 * EXCEED THE AMOUNT OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 */

/* file generated from device description version 2023-04-05T13:26:38Z */
#ifndef _PIC32CKGC01_TCC4_INSTANCE_
#define _PIC32CKGC01_TCC4_INSTANCE_


/* ========== Instance Parameter definitions for TCC4 peripheral ========== */
#define TCC4_CC_NUM                              (2)        /* Number of Compare/Capture units */
#define TCC4_DITHERING                           (0)        /* Dithering feature implemented */
#define TCC4_DMAC_ID_MC_0                        (50)       /* Indexes of DMA Match/Compare triggers 0 */
#define TCC4_DMAC_ID_MC_1                        (51)       /* Indexes of DMA Match/Compare triggers 1 */
#define TCC4_DMAC_ID_OVF                         (49)       /* DMA overflow/underflow/retrigger trigger */
#define TCC4_DTI                                 (0)        /* Dead-Time-Insertion feature implemented */
#define TCC4_GCLK_ID                             (29)       /* Index of Generic Clock */
#define TCC4_INSTANCE_ID                         (68)       /* Instance index for TCC4 */
#define TCC4_MASTER_SLAVE_MODE                   (0)        /* TCC type 0 : NA, 1 : Master, 2 : Slave */
#define TCC4_MCLK_ID_APB                         (100)      /* Index for TCC4 APB clock */
#define TCC4_OTMX                                (0)        /* Output Matrix feature implemented */
#define TCC4_OW_NUM                              (2)        /* Number of Output Waveforms */
#define TCC4_PAC_ID                              (68)       /* Index for TCC4 registers write protection */
#define TCC4_PG                                  (0)        /* Pattern Generation feature implemented */
#define TCC4_SIZE                                (16)       
#define TCC4_SWAP                                (0)        /* DTI outputs swap feature implemented */

#endif /* _PIC32CKGC01_TCC4_INSTANCE_ */
